Skip to main content

Query Parameters

FieldTypeNeedDescriptionExample
”account”stringrequiredAccount address42trU9A5…

Response

NOTE: Upon account creation, all markets have margin settings default to cross margin and leverage default to max. When querying this endpoint, all markets with default margin and leverage settings on this account will return blank.
  • Status 200: Successfully retrieved account settings
FieldTypeDescription
”auto_lend_disabled”boolean or nullWhether automatic lending is disabled for this account. null means default (enabled)
“spot_settings”arrayPer-asset spot settings for unified margin (see below)
“symbol”stringTrading pair symbol
”isolated”booleanIf the account is set to isolated margining for this symbol
”leverage”integerCurrent leverage set by the user (default to max)
“created_at”integerTimestamp in milliseconds when these settings were adjusted from their default
”updated_at”integerTimestamp in milliseconds when these settings were last updated
Spot Settings Fields
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error

Code Example (Python)